@progress/kendo-gantt-vue-wrapper
Version:
Kendo UI Gantt wrapper for Vue.js
101 lines (57 loc) • 3.07 kB
Markdown
---
title: pdfProps API
description: "API Index | pdfProps"
api_reference: true
slug: api_gantt_pdfprops
---
The author of the PDF document.
A flag which indicates whether to produce actual hyperlinks in the exported PDF file. It is also possible to pass a CSS selector as an argument. All matching links will be ignored.
The creator of the PDF document.
The date when the PDF document is created. Defaults to `new Date()`.
Specifies the file name of the exported PDF file.
If `pdf-force-proxy` is set to `true`, the content will be forwarded to `proxyURL` even if the browser supports saving files locally.
Specifies the keywords of the exported PDF file.
If `pdf-landscape` is set to `true`, the paper dimensions will be reversed.
The bottom margin. Numbers are considered as `pt` units.
The left margin. Numbers are considered as `pt` units.
The right margin. Numbers are considered as `pt` units.
The top margin. Numbers are considered as `pt` units.
Specifies the paper size of the PDF document. The default setting is `auto` and determines the paper size by content.
The supported values are:
* A predefined size—A0-A10, B0-B10, C0-C10, Executive, Folio, Legal, Letter, Tabloid.
* An array of two numbers which specify the width and height in points (1pt = 1/72in).
* An array of two strings which specify the width and height in units.
The supported units are:
* `mm`
* `cm`
* `in`
* `pt`
### pdf-proxy-url `String`
The URL of the server side proxy which will stream the file to the end user. When the browser is not capable of saving files locally, a proxy will be used. Such browsers are Internet Explorer version 9 (and older) and Safari. You are responsible for implementing the server-side proxy.
The proxy receives a `POST` request with the following parameters in the request body:
* `contentType`—The MIME type of the file.
* `base64`—The base-64 encoded file content.
* `fileName`—The file name as requested by the caller.
The proxy is expected to return the decoded file with a set `Content-Disposition` header.
A name or keyword which indicates where to display the document that is returned by the proxy. To display the document in a new window or an iframe, the proxy method has to set the `Content-Disposition` header of the response to `inline; filename="<fileName.pdf>"`.
Sets the subject of the PDF file.
Sets the title of the PDF file.
* [`Pdf` in Kendo UI Gantt for jQuery](https://docs.telerik.com/kendo-ui/api/javascript/ui/gantt/configuration/pdf)